#include <iostream>
#include <cmath>

using namespace std;

int main() {
int N;
cin >> N;

int x[N], y[N];
for (int i = 0; i < N; i++) {
cin >> x[i] >> y[i];
}

int counter = 0;
for (int i = 0; i < N; i++) {
for (int j = i + 1; j < N; j++) {
if ((x[i] * y[j] - x[j] * y[i]) == 0) {
counter++;
}
}
}

cout << counter << endl;
return 0;
}